---
File: DEP-11
Version: '1.0'
Origin: regina-oracular-main
MediaBaseUrl: https://people.debian.org/~bab/regina/media/oracular
Priority: 99
Time: 20250724T070313
---
Type: desktop-application
ID: org.computop.regina
Package: regina-normal
ProjectLicense: GPL-2.0-or-later
Name:
  C: Regina
Summary:
  C: Mathematical software for low-dimensional topology
Description:
  C: >-
    <p>
          Regina is a software package for 3-manifold and 4-manifold topologists,
          with a focus on triangulations, knots and links, normal surfaces, and
          angle structures.
        </p>
    <p>
          For 3-manifolds, it includes high-level tasks such as 3-sphere
          recognition, connected sum decomposition and Hakenness testing,
          comes with a rich database of census manifolds, and incorporates the
          SnapPea kernel for working with hyperbolic manifolds.
          For 4-manifolds, it offers a range of combinatorial and algebraic tools,
          plus support for normal hypersurfaces.
          For knots and links, Regina can perform combinatorial manipulation,
          compute knot polynomials, and work with several import/export formats.
        </p>
    <p>
          Regina comes with a full graphical user interface, as well as
          Python bindings and a low-level C++ programming interface.
        </p>
Categories:
- Math
- Education
- Science
Url:
  homepage: https://regina-normal.github.io/
Icon:
  cached:
  - name: regina-normal_regina.png
    width: 48
    height: 48
  - name: regina-normal_regina.png
    width: 64
    height: 64
  - name: regina-normal_regina.png
    width: 128
    height: 128
  remote:
  - url: org/computop/regina/4351334c4321904dc3948f20a80ee886/icons/128x128/regina-normal_regina.png
    width: 128
    height: 128
  stock: regina
Launchable:
  desktop-id:
  - org.computop.Regina.desktop
Provides:
  mediatypes:
  - application/x-regina
Screenshots:
- default: true
  caption:
    C: 3-manifold and 4-manifold triangulations
  thumbnails:
  - url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-1_1248x702@1.png
    width: 1248
    height: 702
  - url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-1_752x423@1.png
    width: 752
    height: 423
  - url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-1_624x351@1.png
    width: 624
    height: 351
  - url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-1_224x126@1.png
    width: 224
    height: 126
  source-image:
    url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-1_orig.png
    width: 1920
    height: 1080
- caption:
    C: Normal surfaces and angle structures
  thumbnails:
  - url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-2_1248x702@1.png
    width: 1248
    height: 702
  - url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-2_752x423@1.png
    width: 752
    height: 423
  - url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-2_624x351@1.png
    width: 624
    height: 351
  - url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-2_224x126@1.png
    width: 224
    height: 126
  source-image:
    url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-2_orig.png
    width: 1920
    height: 1080
- caption:
    C: Knots and links
  thumbnails:
  - url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-3_1248x702@1.png
    width: 1248
    height: 702
  - url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-3_752x423@1.png
    width: 752
    height: 423
  - url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-3_624x351@1.png
    width: 624
    height: 351
  - url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-3_224x126@1.png
    width: 224
    height: 126
  source-image:
    url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-3_orig.png
    width: 1920
    height: 1080
- caption:
    C: In-built Python scripting
  thumbnails:
  - url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-4_1248x702@1.png
    width: 1248
    height: 702
  - url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-4_752x423@1.png
    width: 752
    height: 423
  - url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-4_624x351@1.png
    width: 624
    height: 351
  - url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-4_224x126@1.png
    width: 224
    height: 126
  source-image:
    url: org/computop/regina/4351334c4321904dc3948f20a80ee886/screenshots/image-4_orig.png
    width: 1920
    height: 1080
Releases:
- version: 7.3.1
  type: stable
  unix-timestamp: 1752192000
  description:
    C: >-
      <p>
                Fixes some important bugs, and adds support for Python 3.12 and later.
              </p>
- version: '7.3'
  type: stable
  unix-timestamp: 1679097600
  description:
    C: >-
      <p>
                Maintenance release that fixes some bugs, cleans up some
                unexpected behaviour, and improves compatibility with Python 3.11.
              </p>
- version: '7.2'
  type: stable
  unix-timestamp: 1666915200
  description:
    C: >-
      <p>
                Significant updates for Python users, including comprehensive
                docstrings throughout Regina's API and support for Python 3.11,
                plus a handful of other minor improvements.
              </p>
- version: '7.1'
  type: stable
  unix-timestamp: 1664496000
  description:
    C: >-
      <p>
                Adds intersection forms, thin and normalised links in all facial
                dimensions, handlebody recognition, multithreaded census construction,
                and widespread support for tight encodings, plus several other
                features and improvements.
              </p>
ContentRating:
  oars-1.0: {}
